/**
Author:  Luis Gerardo de la Fraga
Scubes is a program to visualize vox-solids
Copyright (C) 2001 Luis Gerardo de la Fraga

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

Author's e-mail: fraga@cs.cinvestav.mx
Address: 
Seccin de Computacin. Dpto. de Ingeniera Elctrica
CINVESTAV-IPN                       
Av. Instituto Politcnico Nacional No. 2508
07300 Mxico, D.F. 
Mxico
**/

#include <qapplication.h>
#include <qpushbutton.h>
#include <qcombobox.h>
#include <qspinbox.h>
#include <qlabel.h>
#include <qfont.h>
#include <qlayout.h>
#include <qslider.h>

#ifndef PAINTER_H
#define PAINTER_H

#include "space3d.h"


class Painter: public QWidget
{
	Q_OBJECT
public:
    Painter( const char *filename, 
		QWidget *parent=0, const char *name=0 );

private slots:
	void toButton( void ) {
		anim -> setOn( FALSE );
	}
	void SelectColorGreyTones( int val );

private:

	Space3D * spheres;
	QPushButton *quit;
	QComboBox *color;
	QSpinBox *sboxcolor;
	QComboBox *light;
	QComboBox *whohavelight;
	// QComboBox *shade;
	QSpinBox *angle1, *angle2;
	QComboBox *whichAng;
	QSpinBox *initang, *stopang, *numimgs;
	QPushButton *anim;

	QSlider *light_dis;

	// QLabel *messize;
	// QLabel *visorTama;
};

#endif
